source: squid-ssl/trunk/fuentes/helpers/external_acl/time_quota/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 42.4 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/external_acl/time_quota/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = ext_time_quota_acl$(EXEEXT)
95subdir = helpers/external_acl/time_quota
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_ext_time_quota_acl_OBJECTS = ext_time_quota_acl.$(OBJEXT)
165ext_time_quota_acl_OBJECTS = $(am_ext_time_quota_acl_OBJECTS)
166ext_time_quota_acl_LDADD = $(LDADD)
167#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171ext_time_quota_acl_DEPENDENCIES = $(am__DEPENDENCIES_2) \
172        $(am__DEPENDENCIES_3)
173AM_V_lt = $(am__v_lt_$(V))
174am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
175am__v_lt_0 = --silent
176am__v_lt_1 = 
177AM_V_P = $(am__v_P_$(V))
178am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
179am__v_P_0 = false
180am__v_P_1 = :
181AM_V_GEN = $(am__v_GEN_$(V))
182am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
183am__v_GEN_0 = @echo "  GEN     " $@;
184am__v_GEN_1 = 
185AM_V_at = $(am__v_at_$(V))
186am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
187am__v_at_0 = @
188am__v_at_1 = 
189DEFAULT_INCLUDES = 
190depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
191am__depfiles_maybe = depfiles
192am__mv = mv -f
193CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
194        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
195LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
196        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
197        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
198        $(AM_CXXFLAGS) $(CXXFLAGS)
199AM_V_CXX = $(am__v_CXX_$(V))
200am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
201am__v_CXX_0 = @echo "  CXX     " $@;
202am__v_CXX_1 = 
203CXXLD = $(CXX)
204CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
206        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
207AM_V_CXXLD = $(am__v_CXXLD_$(V))
208am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
209am__v_CXXLD_0 = @echo "  CXXLD   " $@;
210am__v_CXXLD_1 = 
211SOURCES = $(ext_time_quota_acl_SOURCES)
212DIST_SOURCES = $(ext_time_quota_acl_SOURCES)
213am__can_run_installinfo = \
214  case $$AM_UPDATE_INFO_DIR in \
215    n|no|NO) false;; \
216    *) (install-info --version) >/dev/null 2>&1;; \
217  esac
218am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
219am__vpath_adj = case $$p in \
220    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
221    *) f=$$p;; \
222  esac;
223am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
224am__install_max = 40
225am__nobase_strip_setup = \
226  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
227am__nobase_strip = \
228  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
229am__nobase_list = $(am__nobase_strip_setup); \
230  for p in $$list; do echo "$$p $$p"; done | \
231  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
232  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
233    if (++n[$$2] == $(am__install_max)) \
234      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
235    END { for (dir in files) print dir, files[dir] }'
236am__base_list = \
237  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
238  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
239am__uninstall_files_from_dir = { \
240  test -z "$$files" \
241    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
242    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
243         $(am__cd) "$$dir" && rm -f $$files; }; \
244  }
245man8dir = $(mandir)/man8
246NROFF = nroff
247MANS = $(man_MANS)
248am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
249# Read a list of newline-separated strings from the standard input,
250# and print each of them once, without duplicates.  Input order is
251# *not* preserved.
252am__uniquify_input = $(AWK) '\
253  BEGIN { nonempty = 0; } \
254  { items[$$0] = 1; nonempty = 1; } \
255  END { if (nonempty) { for (i in items) print i; }; } \
256'
257# Make sure the list of sources is unique.  This is necessary because,
258# e.g., the same source file might be shared among _SOURCES variables
259# for different programs/libraries.
260am__define_uniq_tagged_files = \
261  list='$(am__tagged_files)'; \
262  unique=`for i in $$list; do \
263    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
264  done | $(am__uniquify_input)`
265ETAGS = etags
266CTAGS = ctags
267am__tty_colors_dummy = \
268  mgn= red= grn= lgn= blu= brg= std=; \
269  am__color_tests=no
270am__tty_colors = { \
271  $(am__tty_colors_dummy); \
272  if test "X$(AM_COLOR_TESTS)" = Xno; then \
273    am__color_tests=no; \
274  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
275    am__color_tests=yes; \
276  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
277    am__color_tests=yes; \
278  fi; \
279  if test $$am__color_tests = yes; then \
280    red='[0;31m'; \
281    grn='[0;32m'; \
282    lgn='[1;32m'; \
283    blu='[1;34m'; \
284    mgn='[0;35m'; \
285    brg='[1m'; \
286    std='[m'; \
287  fi; \
288}
289am__recheck_rx = ^[     ]*:recheck:[    ]*
290am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
291am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
292# A command that, given a newline-separated list of test names on the
293# standard input, print the name of the tests that are to be re-run
294# upon "make recheck".
295am__list_recheck_tests = $(AWK) '{ \
296  recheck = 1; \
297  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
298    { \
299      if (rc < 0) \
300        { \
301          if ((getline line2 < ($$0 ".log")) < 0) \
302            recheck = 0; \
303          break; \
304        } \
305      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
306        { \
307          recheck = 0; \
308          break; \
309        } \
310      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
311        { \
312          break; \
313        } \
314    }; \
315  if (recheck) \
316    print $$0; \
317  close ($$0 ".trs"); \
318  close ($$0 ".log"); \
319}'
320# A command that, given a newline-separated list of test names on the
321# standard input, create the global log from their .trs and .log files.
322am__create_global_log = $(AWK) ' \
323function fatal(msg) \
324{ \
325  print "fatal: making $@: " msg | "cat >&2"; \
326  exit 1; \
327} \
328function rst_section(header) \
329{ \
330  print header; \
331  len = length(header); \
332  for (i = 1; i <= len; i = i + 1) \
333    printf "="; \
334  printf "\n\n"; \
335} \
336{ \
337  copy_in_global_log = 1; \
338  global_test_result = "RUN"; \
339  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
340    { \
341      if (rc < 0) \
342         fatal("failed to read from " $$0 ".trs"); \
343      if (line ~ /$(am__global_test_result_rx)/) \
344        { \
345          sub("$(am__global_test_result_rx)", "", line); \
346          sub("[        ]*$$", "", line); \
347          global_test_result = line; \
348        } \
349      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
350        copy_in_global_log = 0; \
351    }; \
352  if (copy_in_global_log) \
353    { \
354      rst_section(global_test_result ": " $$0); \
355      while ((rc = (getline line < ($$0 ".log"))) != 0) \
356      { \
357        if (rc < 0) \
358          fatal("failed to read from " $$0 ".log"); \
359        print line; \
360      }; \
361      printf "\n"; \
362    }; \
363  close ($$0 ".trs"); \
364  close ($$0 ".log"); \
365}'
366# Restructured Text title.
367am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
368# Solaris 10 'make', and several other traditional 'make' implementations,
369# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
370# by disabling -e (using the XSI extension "set +e") if it's set.
371am__sh_e_setup = case $$- in *e*) set +e;; esac
372# Default flags passed to test drivers.
373am__common_driver_flags = \
374  --color-tests "$$am__color_tests" \
375  --enable-hard-errors "$$am__enable_hard_errors" \
376  --expect-failure "$$am__expect_failure"
377# To be inserted before the command running the test.  Creates the
378# directory for the log if needed.  Stores in $dir the directory
379# containing $f, in $tst the test, in $log the log.  Executes the
380# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
381# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
382# will run the test scripts (or their associated LOG_COMPILER, if
383# thy have one).
384am__check_pre = \
385$(am__sh_e_setup);                                      \
386$(am__vpath_adj_setup) $(am__vpath_adj)                 \
387$(am__tty_colors);                                      \
388srcdir=$(srcdir); export srcdir;                        \
389case "$@" in                                            \
390  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
391    *) am__odir=.;;                                     \
392esac;                                                   \
393test "x$$am__odir" = x"." || test -d "$$am__odir"       \
394  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
395if test -f "./$$f"; then dir=./;                        \
396elif test -f "$$f"; then dir=;                          \
397else dir="$(srcdir)/"; fi;                              \
398tst=$$dir$$f; log='$@';                                 \
399if test -n '$(DISABLE_HARD_ERRORS)'; then               \
400  am__enable_hard_errors=no;                            \
401else                                                    \
402  am__enable_hard_errors=yes;                           \
403fi;                                                     \
404case " $(XFAIL_TESTS) " in                              \
405  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
406    am__expect_failure=yes;;                            \
407  *)                                                    \
408    am__expect_failure=no;;                             \
409esac;                                                   \
410$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
411# A shell command to get the names of the tests scripts with any registered
412# extension removed (i.e., equivalently, the names of the test logs, with
413# the '.log' extension removed).  The result is saved in the shell variable
414# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
415# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
416# since that might cause problem with VPATH rewrites for suffix-less tests.
417# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
418am__set_TESTS_bases = \
419  bases='$(TEST_LOGS)'; \
420  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
421  bases=`echo $$bases`
422RECHECK_LOGS = $(TEST_LOGS)
423AM_RECURSIVE_TARGETS = check recheck
424TEST_SUITE_LOG = test-suite.log
425TEST_EXTENSIONS =  .test
426am__test_logs1 = $(TESTS:=.log)
427am__test_logs2 = $(am__test_logs1:.log=.log)
428TEST_LOGS = $(am__test_logs2:.test.log=.log)
429TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
430TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
431        $(TEST_LOG_FLAGS)
432am__set_b = \
433  case '$@' in \
434    */*) \
435      case '$*' in \
436        */*) b='$*';; \
437          *) b=`echo '$@' | sed 's/\.log$$//'`; \
438       esac;; \
439    *) \
440      b='$*';; \
441  esac
442am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
443        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
444DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
445ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
446ADAPTATION_LIBS = adaptation/libadaptation.la
447ALLOCA =
448AMTAR = $${TAR-tar}
449AM_DEFAULT_VERBOSITY = 1
450AR = /usr/bin/ar
451AR_R = /usr/bin/ar r
452AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
453AUTH_MODULES =  basic digest negotiate ntlm
454AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
455AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
456AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
457AWK = gawk
458BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
459BUILDCXX = g++
460BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
461BZR =
462CACHE_EFFECTIVE_USER = proxy
463CC = gcc
464CCDEPMODE = depmode=none
465CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
466CGIEXT = .cgi
467CHMOD = /bin/chmod
468CPP = gcc -E
469CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
470CPPUNITCONFIG = /usr/bin/cppunit-config
471CRYPTLIB = -lcrypt
472CXX = g++
473CXXCPP = g++ -E
474CXXDEPMODE = depmode=none
475CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
476CYGPATH_W = echo
477DEFAULT_HOSTS = /etc/hosts
478DEFAULT_LOG_DIR = /var/log/squid-ssl
479DEFAULT_PID_FILE = /var/run/squid-ssl.pid
480DEFAULT_SWAP_DIR = /var/spool/squid-ssl
481DEFS = -DHAVE_CONFIG_H \
482        -DDEFAULT_QUOTA_DB=\"$(localstatedir)/ext_time_quota.db\"
483DEPDIR = .deps
484DIGEST_AUTH_HELPERS =  file LDAP
485DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
486DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
487DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
488DISK_OS_LIBS =  -lrt -lpthread
489DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
490DLLTOOL = false
491DSYMUTIL =
492DUMPBIN =
493ECAP_LIBS = ecap/libsquid-ecap.la
494ECHO_C =
495ECHO_N = -n
496ECHO_T =
497EGREP = /bin/egrep
498EPOLL_LIBS =
499EUILIB =
500EXEEXT =
501EXPATLIB = -lexpat
502EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
503EXT_LIBECAP_CFLAGS =
504EXT_LIBECAP_LIBS = -lecap
505FALSE = /bin/false
506FGREP = /bin/fgrep
507GREP = grep
508HAVE_CXX11 = 1
509ICAP_LIBS = icap/libicap.la
510INCLTDL =
511INSTALL = /usr/bin/install -c
512INSTALL_DATA = ${INSTALL} -m 644
513INSTALL_PROGRAM = ${INSTALL}
514INSTALL_SCRIPT = ${INSTALL}
515INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
516KRB5INCS = -isystem /usr/include/mit-krb5
517KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
518LBERLIB = -llber
519LD = /usr/bin/ld -m elf_x86_64
520LDAPLIB = -lldap
521LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
522LIBADD_DL = -ldl
523LIBADD_DLD_LINK =
524LIBADD_DLOPEN = -ldl
525LIBADD_SHL_LOAD =
526LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
527LIBGNUTLS_LIBS = -lgnutls
528LIBLTDL = -lltdl
529LIBOBJS =
530LIBOPENSSL_CFLAGS =
531LIBOPENSSL_LIBS = -lssl -lcrypto
532LIBS =
533LIBSASL = -lsasl2
534LIBTOOL = $(SHELL) $(top_builddir)/libtool
535LIB_DB = -ldb
536LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
537LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
538LINUXDOC = /bin/false
539LIPO =
540LN = /bin/ln
541LN_S = ln -s
542LOG_DAEMON_HELPERS =  DB file
543LTDLDEPS =
544LTDLINCL =
545LTDLOPEN = libltdl
546LTLIBOBJS =
547LT_ARGZ_H =
548LT_CONFIG_H = include/autoconf.h
549LT_DLLOADERS =  libltdl/dlopen.la
550LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
551LT_SYS_LIBRARY_PATH =
552MAINT = #
553MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
554MANIFEST_TOOL = :
555MINGW_LIBS =
556MKDIR = /bin/mkdir
557MKDIR_P = /bin/mkdir -p
558MV = /bin/mv
559NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
560NETTLELIB =  -lnettle
561NM = /usr/bin/nm -B
562NMEDIT =
563NTLM_AUTH_HELPERS =  fake smb_lm
564OBJDUMP = objdump
565OBJEXT = o
566OTOOL =
567OTOOL64 =
568PACKAGE = squid
569PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
570PACKAGE_NAME = Squid Web Proxy
571PACKAGE_STRING = Squid Web Proxy 3.5.12
572PACKAGE_TARNAME = squid
573PACKAGE_URL =
574PACKAGE_VERSION = 3.5.12
575PATH_SEPARATOR = :
576PERL = /usr/bin/perl
577PKG_CONFIG = /usr/bin/pkg-config
578PKG_CONFIG_LIBDIR =
579PKG_CONFIG_PATH =
580PO2HTML = off
581PO2TEXT = off
582POD2MAN = /usr/bin/pod2man
583RANLIB = ranlib
584REGEXLIB =
585REPL_LIBS = liblru.a libheap.a
586REPL_OBJS = repl/liblru.a repl/libheap.a
587REPL_POLICIES = lru heap
588RM = /bin/rm -f
589SED = /bin/sed
590SET_MAKE =
591SH = /bin/sh
592SHELL = /bin/bash
593SMBCLIENT = /usr/bin/smbclient
594SNMPLIB = ../lib/snmplib/libsnmplib.la
595SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
596SQUID_CPPUNIT_INC =
597SQUID_CPPUNIT_LA =
598SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
599SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
600SSLLIB =  -lssl -lcrypto  -lgnutls
601STOREID_REWRITE_HELPERS =  file
602STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
603STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
604STORE_TESTS =
605STRIP = strip
606TR = /usr/bin/tr
607TRUE = /bin/true
608URL_REWRITE_HELPERS =  fake
609VERSION = 3.5.12
610WBINFO =
611WIN32_PSAPI =
612XMLLIB = -lxml2
613XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
614XTRA_OBJS =
615abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/external_acl/time_quota
616abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/external_acl/time_quota
617abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
618abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
619ac_ct_AR =
620ac_ct_CC = gcc
621ac_ct_CXX = g++
622ac_ct_DUMPBIN =
623am__include = include
624am__leading_dot = .
625am__quote =
626am__tar = tar --format=ustar -chf - "$$tardir"
627am__untar = tar -xf -
628bindir = ${exec_prefix}/bin
629build = x86_64-pc-linux-gnu
630build_alias = x86_64-linux-gnu
631build_cpu = x86_64
632build_os = linux-gnu
633build_vendor = pc
634builddir = .
635datadir = /usr/share/squid-ssl
636datarootdir = ${prefix}/share
637docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
638dvidir = ${docdir}
639exec_prefix = ${prefix}
640host = x86_64-pc-linux-gnu
641host_alias =
642host_cpu = x86_64
643host_os = linux-gnu
644host_vendor = pc
645htmldir = ${docdir}
646includedir = ${prefix}/include
647infodir = ${prefix}/share/info
648install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
649krb5_config =
650libdir = ${exec_prefix}/lib
651libexecdir = /usr/lib/squid-ssl
652localedir = ${datarootdir}/locale
653localstatedir = /var
654ltdl_LIBOBJS =  lt__strl.o
655ltdl_LTLIBOBJS =  lt__strl.lo
656mandir = /usr/share/man
657mkdir_p = $(MKDIR_P)
658oldincludedir = /usr/include
659pdfdir = ${docdir}
660prefix = /usr
661program_transform_name = s&$$&-ssl&
662psdir = ${docdir}
663runstatedir = ${localstatedir}/run
664sbindir = ${exec_prefix}/sbin
665sharedstatedir = ${prefix}/com
666srcdir = .
667subdirs =  libltdl
668sys_symbol_underscore = no
669sysconfdir = /etc/squid-ssl
670target_alias =
671top_build_prefix = ../../../
672top_builddir = ../../..
673top_srcdir = ../../..
674AM_CFLAGS = $(SQUID_CFLAGS)
675AM_CXXFLAGS = $(SQUID_CXXFLAGS)
676CLEANFILES =
677AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
678        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
679        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
680        $(am__append_1)
681LIBPROFILER =
682#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
683COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
684subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
685man_MANS = ext_time_quota_acl.8
686EXTRA_DIST = ext_time_quota_acl.8 required.m4
687ext_time_quota_acl_SOURCES = ext_time_quota_acl.cc
688LDADD = \
689        $(COMPAT_LIB) \
690        $(LIB_DB)
691
692all: all-am
693
694.SUFFIXES:
695.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
696$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
697        @for dep in $?; do \
698          case '$(am__configure_deps)' in \
699            *$$dep*) \
700              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
701                && { if test -f $@; then exit 0; else break; fi; }; \
702              exit 1;; \
703          esac; \
704        done; \
705        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/external_acl/time_quota/Makefile'; \
706        $(am__cd) $(top_srcdir) && \
707          $(AUTOMAKE) --gnu helpers/external_acl/time_quota/Makefile
708Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
709        @case '$?' in \
710          *config.status*) \
711            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
712          *) \
713            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
714            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
715        esac;
716$(top_srcdir)/src/Common.am $(am__empty):
717
718$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
719        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
720
721$(top_srcdir)/configure: # $(am__configure_deps)
722        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
723$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
724        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
725$(am__aclocal_m4_deps):
726
727clean-checkPROGRAMS:
728        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
729        echo " rm -f" $$list; \
730        rm -f $$list || exit $$?; \
731        test -n "$(EXEEXT)" || exit 0; \
732        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
733        echo " rm -f" $$list; \
734        rm -f $$list
735install-libexecPROGRAMS: $(libexec_PROGRAMS)
736        @$(NORMAL_INSTALL)
737        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
738        if test -n "$$list"; then \
739          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
740          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
741        fi; \
742        for p in $$list; do echo "$$p $$p"; done | \
743        sed 's/$(EXEEXT)$$//' | \
744        while read p p1; do if test -f $$p \
745         || test -f $$p1 \
746          ; then echo "$$p"; echo "$$p"; else :; fi; \
747        done | \
748        sed -e 'p;s,.*/,,;n;h' \
749            -e 's|.*|.|' \
750            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
751        sed 'N;N;N;s,\n, ,g' | \
752        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
753          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
754            if ($$2 == $$4) files[d] = files[d] " " $$1; \
755            else { print "f", $$3 "/" $$4, $$1; } } \
756          END { for (d in files) print "f", d, files[d] }' | \
757        while read type dir files; do \
758            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
759            test -z "$$files" || { \
760            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
761            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
762            } \
763        ; done
764
765uninstall-libexecPROGRAMS:
766        @$(NORMAL_UNINSTALL)
767        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
768        files=`for p in $$list; do echo "$$p"; done | \
769          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
770              -e 's/$$/$(EXEEXT)/' \
771        `; \
772        test -n "$$list" || exit 0; \
773        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
774        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
775
776clean-libexecPROGRAMS:
777        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
778        echo " rm -f" $$list; \
779        rm -f $$list || exit $$?; \
780        test -n "$(EXEEXT)" || exit 0; \
781        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
782        echo " rm -f" $$list; \
783        rm -f $$list
784
785ext_time_quota_acl$(EXEEXT): $(ext_time_quota_acl_OBJECTS) $(ext_time_quota_acl_DEPENDENCIES) $(EXTRA_ext_time_quota_acl_DEPENDENCIES) 
786        @rm -f ext_time_quota_acl$(EXEEXT)
787        $(AM_V_CXXLD)$(CXXLINK) $(ext_time_quota_acl_OBJECTS) $(ext_time_quota_acl_LDADD) $(LIBS)
788
789mostlyclean-compile:
790        -rm -f *.$(OBJEXT)
791
792distclean-compile:
793        -rm -f *.tab.c
794
795#include ./$(DEPDIR)/ext_time_quota_acl.Po
796
797.cc.o:
798#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
799#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
800#       $(am__mv) $$depbase.Tpo $$depbase.Po
801#       $(AM_V_CXX)source='$<' object='$@' libtool=no
802#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
803        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
804
805.cc.obj:
806#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
807#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
808#       $(am__mv) $$depbase.Tpo $$depbase.Po
809#       $(AM_V_CXX)source='$<' object='$@' libtool=no
810#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
811        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
812
813.cc.lo:
814#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
815#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
816#       $(am__mv) $$depbase.Tpo $$depbase.Plo
817#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
818#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
819        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
820
821mostlyclean-libtool:
822        -rm -f *.lo
823
824clean-libtool:
825        -rm -rf .libs _libs
826install-man8: $(man_MANS)
827        @$(NORMAL_INSTALL)
828        @list1=''; \
829        list2='$(man_MANS)'; \
830        test -n "$(man8dir)" \
831          && test -n "`echo $$list1$$list2`" \
832          || exit 0; \
833        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
834        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
835        { for i in $$list1; do echo "$$i"; done\
836        if test -n "$$list2"; then \
837          for i in $$list2; do echo "$$i"; done \
838            | sed -n '/\.8[a-z]*$$/p'; \
839        fi; \
840        } | while read p; do \
841          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
842          echo "$$d$$p"; echo "$$p"; \
843        done | \
844        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
845              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
846        sed 'N;N;s,\n, ,g' | { \
847        list=; while read file base inst; do \
848          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
849            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
850            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
851          fi; \
852        done; \
853        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
854        while read files; do \
855          test -z "$$files" || { \
856            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
857            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
858        done; }
859
860uninstall-man8:
861        @$(NORMAL_UNINSTALL)
862        @list=''; test -n "$(man8dir)" || exit 0; \
863        files=`{ for i in $$list; do echo "$$i"; done; \
864        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
865          sed -n '/\.8[a-z]*$$/p'; \
866        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
867              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
868        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
869
870ID: $(am__tagged_files)
871        $(am__define_uniq_tagged_files); mkid -fID $$unique
872tags: tags-am
873TAGS: tags
874
875tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
876        set x; \
877        here=`pwd`; \
878        $(am__define_uniq_tagged_files); \
879        shift; \
880        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
881          test -n "$$unique" || unique=$$empty_fix; \
882          if test $$# -gt 0; then \
883            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
884              "$$@" $$unique; \
885          else \
886            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
887              $$unique; \
888          fi; \
889        fi
890ctags: ctags-am
891
892CTAGS: ctags
893ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
894        $(am__define_uniq_tagged_files); \
895        test -z "$(CTAGS_ARGS)$$unique" \
896          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
897             $$unique
898
899GTAGS:
900        here=`$(am__cd) $(top_builddir) && pwd` \
901          && $(am__cd) $(top_srcdir) \
902          && gtags -i $(GTAGS_ARGS) "$$here"
903cscopelist: cscopelist-am
904
905cscopelist-am: $(am__tagged_files)
906        list='$(am__tagged_files)'; \
907        case "$(srcdir)" in \
908          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
909          *) sdir=$(subdir)/$(srcdir) ;; \
910        esac; \
911        for i in $$list; do \
912          if test -f "$$i"; then \
913            echo "$(subdir)/$$i"; \
914          else \
915            echo "$$sdir/$$i"; \
916          fi; \
917        done >> $(top_builddir)/cscope.files
918
919distclean-tags:
920        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
921
922# Recover from deleted '.trs' file; this should ensure that
923# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
924# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
925# to avoid problems with "make -n".
926.log.trs:
927        rm -f $< $@
928        $(MAKE) $(AM_MAKEFLAGS) $<
929
930# Leading 'am--fnord' is there to ensure the list of targets does not
931# expand to empty, as could happen e.g. with make check TESTS=''.
932am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
933am--force-recheck:
934        @:
935
936$(TEST_SUITE_LOG): $(TEST_LOGS)
937        @$(am__set_TESTS_bases); \
938        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
939        redo_bases=`for i in $$bases; do \
940                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
941                    done`; \
942        if test -n "$$redo_bases"; then \
943          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
944          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
945          if $(am__make_dryrun); then :; else \
946            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
947          fi; \
948        fi; \
949        if test -n "$$am__remaking_logs"; then \
950          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
951               "recursion detected" >&2; \
952        elif test -n "$$redo_logs"; then \
953          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
954        fi; \
955        if $(am__make_dryrun); then :; else \
956          st=0;  \
957          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
958          for i in $$redo_bases; do \
959            test -f $$i.trs && test -r $$i.trs \
960              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
961            test -f $$i.log && test -r $$i.log \
962              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
963          done; \
964          test $$st -eq 0 || exit 1; \
965        fi
966        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
967        ws='[   ]'; \
968        results=`for b in $$bases; do echo $$b.trs; done`; \
969        test -n "$$results" || results=/dev/null; \
970        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
971        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
972        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
973        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
974        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
975        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
976        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
977        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
978          success=true; \
979        else \
980          success=false; \
981        fi; \
982        br='==================='; br=$$br$$br$$br$$br; \
983        result_count () \
984        { \
985            if test x"$$1" = x"--maybe-color"; then \
986              maybe_colorize=yes; \
987            elif test x"$$1" = x"--no-color"; then \
988              maybe_colorize=no; \
989            else \
990              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
991            fi; \
992            shift; \
993            desc=$$1 count=$$2; \
994            if test $$maybe_colorize = yes && test $$count -gt 0; then \
995              color_start=$$3 color_end=$$std; \
996            else \
997              color_start= color_end=; \
998            fi; \
999            echo "$${color_start}# $$desc $$count$${color_end}"; \
1000        }; \
1001        create_testsuite_report () \
1002        { \
1003          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1004          result_count $$1 "PASS: " $$pass  "$$grn"; \
1005          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1006          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1007          result_count $$1 "FAIL: " $$fail  "$$red"; \
1008          result_count $$1 "XPASS:" $$xpass "$$red"; \
1009          result_count $$1 "ERROR:" $$error "$$mgn"; \
1010        }; \
1011        {                                                               \
1012          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1013            $(am__rst_title);                                           \
1014          create_testsuite_report --no-color;                           \
1015          echo;                                                         \
1016          echo ".. contents:: :depth: 2";                               \
1017          echo;                                                         \
1018          for b in $$bases; do echo $$b; done                           \
1019            | $(am__create_global_log);                                 \
1020        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1021        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1022        if $$success; then                                              \
1023          col="$$grn";                                                  \
1024         else                                                           \
1025          col="$$red";                                                  \
1026          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1027        fi;                                                             \
1028        echo "$${col}$$br$${std}";                                      \
1029        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1030        echo "$${col}$$br$${std}";                                      \
1031        create_testsuite_report --maybe-color;                          \
1032        echo "$$col$$br$$std";                                          \
1033        if $$success; then :; else                                      \
1034          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1035          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1036            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1037          fi;                                                           \
1038          echo "$$col$$br$$std";                                        \
1039        fi;                                                             \
1040        $$success || exit 1
1041
1042check-TESTS:
1043        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1044        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1045        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1046        @set +e; $(am__set_TESTS_bases); \
1047        log_list=`for i in $$bases; do echo $$i.log; done`; \
1048        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1049        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1050        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1051        exit $$?;
1052recheck: all $(check_PROGRAMS)
1053        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1054        @set +e; $(am__set_TESTS_bases); \
1055        bases=`for i in $$bases; do echo $$i; done \
1056                 | $(am__list_recheck_tests)` || exit 1; \
1057        log_list=`for i in $$bases; do echo $$i.log; done`; \
1058        log_list=`echo $$log_list`; \
1059        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1060                am__force_recheck=am--force-recheck \
1061                TEST_LOGS="$$log_list"; \
1062        exit $$?
1063.test.log:
1064        @p='$<'; \
1065        $(am__set_b); \
1066        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1067        --log-file $$b.log --trs-file $$b.trs \
1068        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1069        "$$tst" $(AM_TESTS_FD_REDIRECT)
1070#.test$(EXEEXT).log:
1071#       @p='$<'; \
1072#       $(am__set_b); \
1073#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1074#       --log-file $$b.log --trs-file $$b.trs \
1075#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1076#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1077
1078distdir: $(DISTFILES)
1079        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1080        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1081        list='$(DISTFILES)'; \
1082          dist_files=`for file in $$list; do echo $$file; done | \
1083          sed -e "s|^$$srcdirstrip/||;t" \
1084              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1085        case $$dist_files in \
1086          */*) $(MKDIR_P) `echo "$$dist_files" | \
1087                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1088                           sort -u` ;; \
1089        esac; \
1090        for file in $$dist_files; do \
1091          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1092          if test -d $$d/$$file; then \
1093            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1094            if test -d "$(distdir)/$$file"; then \
1095              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1096            fi; \
1097            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1098              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1099              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1100            fi; \
1101            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1102          else \
1103            test -f "$(distdir)/$$file" \
1104            || cp -p $$d/$$file "$(distdir)/$$file" \
1105            || exit 1; \
1106          fi; \
1107        done
1108check-am: all-am
1109        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1110        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1111check: check-am
1112all-am: Makefile $(PROGRAMS) $(MANS)
1113installdirs:
1114        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1115          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1116        done
1117install: install-am
1118install-exec: install-exec-am
1119install-data: install-data-am
1120uninstall: uninstall-am
1121
1122install-am: all-am
1123        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1124
1125installcheck: installcheck-am
1126install-strip:
1127        if test -z '$(STRIP)'; then \
1128          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1129            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1130              install; \
1131        else \
1132          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1133            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1134            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1135        fi
1136mostlyclean-generic:
1137        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1138        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1139        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1140
1141clean-generic:
1142        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1143
1144distclean-generic:
1145        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1146        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1147
1148maintainer-clean-generic:
1149        @echo "This command is intended for maintainers to use"
1150        @echo "it deletes files that may require special tools to rebuild."
1151clean: clean-am
1152
1153clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1154        clean-libtool mostlyclean-am
1155
1156distclean: distclean-am
1157        -rm -rf ./$(DEPDIR)
1158        -rm -f Makefile
1159distclean-am: clean-am distclean-compile distclean-generic \
1160        distclean-tags
1161
1162dvi: dvi-am
1163
1164dvi-am:
1165
1166html: html-am
1167
1168html-am:
1169
1170info: info-am
1171
1172info-am:
1173
1174install-data-am: install-man
1175
1176install-dvi: install-dvi-am
1177
1178install-dvi-am:
1179
1180install-exec-am: install-libexecPROGRAMS
1181
1182install-html: install-html-am
1183
1184install-html-am:
1185
1186install-info: install-info-am
1187
1188install-info-am:
1189
1190install-man: install-man8
1191
1192install-pdf: install-pdf-am
1193
1194install-pdf-am:
1195
1196install-ps: install-ps-am
1197
1198install-ps-am:
1199
1200installcheck-am:
1201
1202maintainer-clean: maintainer-clean-am
1203        -rm -rf ./$(DEPDIR)
1204        -rm -f Makefile
1205maintainer-clean-am: distclean-am maintainer-clean-generic
1206
1207mostlyclean: mostlyclean-am
1208
1209mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1210        mostlyclean-libtool
1211
1212pdf: pdf-am
1213
1214pdf-am:
1215
1216ps: ps-am
1217
1218ps-am:
1219
1220uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1221
1222uninstall-man: uninstall-man8
1223
1224.MAKE: check-am install-am install-strip
1225
1226.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1227        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1228        clean-libtool cscopelist-am ctags ctags-am distclean \
1229        distclean-compile distclean-generic distclean-libtool \
1230        distclean-tags distdir dvi dvi-am html html-am info info-am \
1231        install install-am install-data install-data-am install-dvi \
1232        install-dvi-am install-exec install-exec-am install-html \
1233        install-html-am install-info install-info-am \
1234        install-libexecPROGRAMS install-man install-man8 install-pdf \
1235        install-pdf-am install-ps install-ps-am install-strip \
1236        installcheck installcheck-am installdirs maintainer-clean \
1237        maintainer-clean-generic mostlyclean mostlyclean-compile \
1238        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1239        recheck tags tags-am uninstall uninstall-am \
1240        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1241
1242.PRECIOUS: Makefile
1243
1244
1245$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1246
1247# Tell versions [3.59,3.63) of GNU make to not export all variables.
1248# Otherwise a system limit (for SysV at least) may be exceeded.
1249.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.